// ------------------------------------------------------------------------------------------------------
//  Synth.cpp - code to create the audio output using the GinSing board
// ------------------------------------------------------------------------------------------------------

#include "Synth.h"

GinSing  GS;            // create the class library from which all methods and data are accessed
GinSingSynth *s;        // our global pointer to the synth mode interface ( set up after initialization )

#define rcvPin  4       // this is the pin used for receiving    ( can be either 4 or 12 )
#define sndPin  3       // this is the pin used for transmitting ( can be either 3 or 11 ) 
#define ovfPin  2       // this is the pin used for overflow control ( can be either 2 or 10 )


// ------------------------------------------------------------------------------------------------------

 void SynthBegin()
 {
  GS.begin( rcvPin , sndPin , ovfPin );              // start the device (required)
  
  s = GS.getSynth();                                 // get the synth mode interface
  s->begin ();                                       // start the syth mode interface
  
  
   
  s->selectBank   ( BANK_A );					        // select bank A. This call simplifies the interface by allowing you to
                                                                        // specify a target for the oscillator functions rather than specifying it
                                                                        // every time. All oscillator subsequent calls will refer to this bank.
  
  s->setPatch     ( OSC_1_TO_MIXER );                                   // path oscillator 1 to the mixer. A patch is the method by which
                                                                        // you route the oscillators to each other and to the mixer. There
                                                                        // are many patch options, and they can all be bitwise or'ed to set up
                                                                        // complex arrangements.

  s->setFrequency ( OSC_1 , 1000.0f );                                  // set the oscillator to 100 Hz
  s->setAmplitude ( OSC_1 , 1.0f );                                     // set amplitude to full volume
                                       

 }

